.input,
.input-msg {
    z-index: 1;
    display: inline-block;
    vertical-align: top;
    position: relative
}

.input,
.input-msg,
.inputContactField{
    position: relative
}


.contactInput
 {
    overflow: hidden
}

.input {
    width: 100%
}

.input-msg {
    width: 100%!important
}

.inputContactField{
    display: block;
    float: right;
    padding: .8em;
    width: 60%;
    border: none;
    border-radius: 0;
    background: #f0f0f0;
    color: #aaa;
    font-weight: 400;
    -webkit-appearance: none
}

.inputFieldContact,
.inputLabel {
    font-weight: 400
}

.inputContactField:focus {
    outline: 0
}

.inputLabel {
    display: inline-block;
    float: right;
    padding: 0 1em;
    width: 40%;
    color: #8d8d8d;
    font-size: 19px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}

.inputLabelContent{
    position: relative;
    display: block;
    padding: 0 0;
    width: 100%
}

.graphic {
    position: absolute;
    top: 0;
    left: 0;
    fill: none
}

.icon {
    color: #ddd;
    font-size: 150%
}

.inputFieldContact {
    padding: 27px .15em;
    width: 100%;
    background: 0 0;
    color: #000;
    font-size: 17px
}

.contactInput textarea {
    resize: none;
    margin: 44px 0 25px;
    padding: 0
}

.inputLabelContact{
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 0 .25em;
    width: 100%;
    height: calc(100% - 0.5em);
    text-align: left;
    pointer-events: none
}

.inputLabelContentContact {
    position: absolute
}

.inputLabelContact::after,
.inputLabelContact::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: calc(100% - 10px);
    border-bottom: 1px solid #B9C1CA
}

.inputLabelContact::after {
    margin-top: 2px;
    border-bottom: 4px solid red;
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
    -webkit-transition: -webkit-transform .3s;
    transition: transform .3s
}

.colorOrange::after {
    border-color: #f0811f
}

.input--filled .inputLabelContact::after,
.inputFieldContact:focus+.inputLabelContact::after {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0)
}

.input--filled .inputLabelContentContact,
.inputFieldContact:focus+.inputLabelContact .inputLabelContentContact {
    -webkit-animation: anim-1 .3s forwards;
    animation: anim-1 .3s forwards
}

@-webkit-keyframes anim-1 {
    50% {
        opacity: 0;
        -webkit-transform: translate3d(1em, 0, 0);
        transform: translate3d(1em, 0, 0)
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(-1em, -40%, 0);
        transform: translate3d(-1em, -40%, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, -40%, 0);
        transform: translate3d(0, -40%, 0)
    }
}

@keyframes anim-1 {
    50% {
        opacity: 0;
        -webkit-transform: translate3d(1em, 0, 0);
        transform: translate3d(1em, 0, 0)
    }
    51% {
        opacity: 0;
        -webkit-transform: translate3d(-1em, -40%, 0);
        transform: translate3d(-1em, -40%, 0)
    }
    100% {
        opacity: 1;
        -webkit-transform: translate3d(0, -40%, 0);
        transform: translate3d(0, -40%, 0)
    }
}

